Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theater
Class Actor

    java.lang.Object
      theater.Component
          theater.Actor

All Implemented Interfaces:
  PixelArea

    public class Actor

extends Component

Die Klasse Actor ist die Basisklasse aller Akteure. Sie erbt alle Methoden ihrer Oberklasse Component.

Soll ein neuer Akteur definiert werden, muss eine entsprechende Klasse von der Klasse Actor abgeleitet und die Methode "public void run()" überschrieben werden. In dieser wird das Eigenleben von Akteuren der Klasse festgelegt, wobei u. a. die geerbten Methoden der Klasse Component genutzt werden können.

Version:
  1.0 (08.09.2009)
Author:
  Dietrich Boles, Universität Oldenburg, Germany

Field Summary
`static int` | `DEF_PRIORITY` Default-Priorität eines Akteurs

Fields inherited from class theater.Component
`DEF_Z_COORDINATE`

Constructor Summary
`Actor()` Default-Konstruktor der Klasse Actor

Method Summary
`int` | `getPriority()` Liefert die Priorität des Akteurs
`void` | `run()` Muss überschrieben werden und die Actor-spezifischen Aktionen enthalten
`void` | `setPriority(int priority)` Ordnet dem Akteur eine neue Priorität zu.

Methods inherited from class theater.Component
`addedToStage, contains, getCell, getColumn, getImage, getRotation, getRow, getStage, getZCoordinate, intersects, isHandlingKeyEvents, isHandlingMouseEvents, isInside, isVisible, keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, setHandlingKeyEvents, setHandlingMouseEvents, setImage, setImage, setLocation, setRotation, setVisible, setZCoordinate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEF_PRIORITY

    public static final int DEF_PRIORITY

  Default-Priorität eines Akteurs

  See Also:
    Constant Field Values

Constructor Detail

### Actor

    public Actor()

  Default-Konstruktor der Klasse Actor

Method Detail

### getPriority

    public final int getPriority()

  Liefert die Priorität des Akteurs

  Returns:
    die Priorität des Akteurs

### run

    public void run()

  Muss überschrieben werden und die Actor-spezifischen Aktionen enthalten

  Overrides:
    `run` in class `Component`
  See Also:
    `Component.run()`

### setPriority

    public final void setPriority(int priority)

  Ordnet dem Akteur eine neue Priorität zu. Diese spielt bei der Ausführung der run-Methoden eine Rolle. Je höher die Priorität eines Akteurs ist, desto eher wird seine run-Methode aufgerufen. Bei Akteuren gleicher Priorität ist die Reihenfolge der Ausführung unbestimmt.

  Parameters:
    `priority` - die Priorität

Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD